﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Json;
using System.Text;
using System.Web;
using System.Web.Services;
using Telerik.Web.UI;

public partial class Upload_WebMail_DefaultCS : System.Web.UI.Page
{
    private List<Telerik.Web.UI.UploadedFileInfo> uploadedFiles = new List<Telerik.Web.UI.UploadedFileInfo>();
    public List<Telerik.Web.UI.UploadedFileInfo> UploadedFiles
    {
        get { return uploadedFiles; }
        set { uploadedFiles = value; }
    }

    

	protected void Page_Load(object sender, EventArgs e)
	{
        
	}
	
	protected void SaveButton_Click(object sender, EventArgs e)
	{
		Panel1.Visible = false;
		Panel2.Visible = true;

        PopulateUploadedFilesList();

        if (UploadedFiles != null)
        {
            AttachmentRepeater.DataSource = UploadedFiles;
            AttachmentRepeater.DataBind();
        }
        
		ToLabel.Text = HttpUtility.HtmlEncode(ToTextBox.Text);
		SubjectLabel.Text = HttpUtility.HtmlEncode(SubjectTextBox.Text);
		MailBodyLiteral.Text = MailBodyEditor.Content;
	}

	protected void BackButton_Click(object sender, EventArgs e)
	{
		Panel1.Visible = true;
		Panel2.Visible = false;

        PopulateUploadedFilesList();
	}

    private void PopulateUploadedFilesList()
    {
        foreach(UploadedFile file in AsyncUpload1.UploadedFiles)
        {
            UploadedFileInfo uploadedFileInfo = new UploadedFileInfo(file);
            UploadedFiles.Add(uploadedFileInfo);
        }
    }
}
